@echo off
set PORT=COM6 
set BAUD=921600

echo Erase flash, please wait...

python bin/esptool/esptool.py --chip esp32s3 --port %PORT% erase_flash

echo === Rotator firmware flash (separate) ===

echo Loading...

python bin/esptool/esptool.py --chip esp32s3 --port %PORT% --baud %BAUD% write_flash ^
  0x0      rotator.bootloader.bin ^
  0x8000   rotator.partitions.bin ^
  0x10000  rotator.bin ^
  0x610000 rotator.spiffs.bin

pause